//
//  TitleImageButton.swift
//  X5mgc
//
//  Created by lf on 16/3/19.
//  Copyright © 2016年 Admin. All rights reserved.
//

import UIKit

class TitleImageButton: UIButton {

    internal override func titleRectForContentRect(contentRect: CGRect) -> CGRect
    {
        let buttonW = self.currentImage?.size.width
        return CGRectMake(0, 0, self.frame.size.width - buttonW!, self.frame.size.height)
    }
    
    internal override func imageRectForContentRect(contentRect: CGRect) -> CGRect
    {
        let buttonW = self.currentImage?.size.width
        return CGRectMake(self.frame.size.width - buttonW!, 0, buttonW!, self.frame.size.height)
    }
}
